> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get QA settings

> Returns enabled quality assurance checks and settings.



## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v2/projects/{projectUid}/jobs/qualityAssurances/settings
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v2/projects/{projectUid}/jobs/qualityAssurances/settings:
    get:
      tags:
        - Quality Assurance
      summary: Get QA settings
      description: Returns enabled quality assurance checks and settings.
      operationId: enabledQualityChecksForProject
      parameters:
        - name: projectUid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QualityAssuranceChecksDtoV2'
              examples:
                response:
                  value:
                    forbiddenStrings:
                      - string
                    enabledChecks:
                      - checkerType: EmptyTranslation
                        ignorable: false
                        instant: false
                      - checkerType: TrailingPunctuation
                        ignorable: false
                        instant: false
                      - checkerType: Formatting
                        ignorable: false
                        instant: false
                      - checkerType: JoinTags
                        ignorable: false
                        instant: false
                      - checkerType: MissingNumbers
                        ignorable: false
                        instant: false
                      - checkerType: MultipleSpaces
                        ignorable: false
                        instant: false
                      - checkerType: NonConformingTerm
                        ignorable: false
                        instant: false
                      - checkerType: NotConfirmed
                        ignorable: false
                        instant: false
                      - checkerType: TranslationLength
                        ignorable: false
                      - checkerType: AbsoluteLength
                        ignorable: false
                        instant: false
                      - checkerType: RelativeLength
                        ignorable: false
                        instant: false
                      - checkerType: EmptyPairTags
                        ignorable: false
                        instant: false
                      - checkerType: InconsistentTranslationTargetSource
                        ignorable: true
                        instant: false
                      - checkerType: InconsistentTranslationSourceTarget
                        ignorable: true
                        instant: false
                      - checkerType: ForbiddenString
                        ignorable: false
                        instant: false
                      - checkerType: SpellCheck
                        ignorable: false
                        instant: false
                      - checkerType: RepeatedWords
                        ignorable: false
                        instant: false
                      - checkerType: InconsistentTagContent
                        ignorable: false
                        instant: false
                      - checkerType: EmptyTagContent
                        ignorable: false
                        instant: false
                      - checkerType: Malformed
                        ignorable: false
                        instant: false
                      - checkerType: ForbiddenTerm
                        ignorable: false
                        instant: false
                      - checkerType: NewerAtLowerLevel
                        ignorable: false
                        instant: false
                      - checkerType: LeadingAndTrailingSpaces
                        ignorable: false
                        instant: false
                      - checkerType: TargetSourceIdentical
                        ignorable: false
                        instant: false
                      - checkerType: SourceOrTargetRegexp
                      - checkerType: UnmodifiedFuzzyTranslationTM
                        ignorable: true
                        instant: false
                      - checkerType: UnmodifiedFuzzyTranslationMTNT
                        ignorable: true
                        instant: false
                      - checkerType: Moravia
                        ignorable: false
                        instant: false
                        context:
                          moraviaProfileId: MoraviaProfileIdValue
                      - checkerType: ExtraNumbers
                        ignorable: true
                        instant: false
                      - checkerType: UnresolvedConversation
                        ignorable: false
                      - checkerType: NestedTags
                        ignorable: false
                        instant: false
                    excludeLockedSegments: true
                    userCanSetInstantQA: true
                    strictJobStatus: true
                    regexpRules:
                      - description: string
                        sourceRegexp: string
                        targetRegexp: string
                        id: string
                        ignorable: true
                        instant: true
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    QualityAssuranceChecksDtoV2:
      type: object
      properties:
        enabledChecks:
          type: array
          example: |2

               [
                  {
                     "checkerType":"EmptyTranslation",
                     "ignorable":false
                  },
                  {
                     "checkerType":"TrailingPunctuation",
                     "ignorable":false
                  },
                  {
                     "checkerType":"Formatting",
                     "ignorable":false
                  },
                  {
                     "checkerType":"JoinTags",
                     "ignorable":false
                  },
                  {
                     "checkerType":"MissingNumbers",
                     "ignorable":false
                  },
                  {
                     "checkerType":"MultipleSpaces",
                     "ignorable":false
                  },
                  {
                     "checkerType":"NonConformingTerm",
                     "ignorable":false
                  },
                  {
                     "checkerType":"NotConfirmed",
                     "ignorable":false
                  },
                  {
                     "checkerType":"TranslationLength",
                     "ignorable":false
                  },
                  {
                     "checkerType": "AbsoluteLength",
                     "ignorable": false
                  },
                  {
                     "checkerType": "RelativeLength",
                     "ignorable": false
                  },
                  {
                     "checkerType":"EmptyPairTags",
                     "ignorable":false
                  },
                  {
                     "checkerType":"InconsistentTranslationTargetSource",
                     "ignorable":true
                  },
                  {
                     "checkerType":"InconsistentTranslationSourceTarget",
                     "ignorable":true
                  },
                  {
                     "checkerType":"ForbiddenString",
                     "ignorable":false
                  },
                  {
                     "checkerType":"SpellCheck",
                     "ignorable":false
                  },
                  {
                     "checkerType":"RepeatedWords",
                     "ignorable":false
                  },
                  {
                     "checkerType":"InconsistentTagContent",
                     "ignorable":false
                  },
                  {
                     "checkerType":"EmptyTagContent",
                     "ignorable":false
                  },
                  {
                     "checkerType":"Malformed",
                     "ignorable":false
                  },
                  {
                     "checkerType":"ForbiddenTerm",
                     "ignorable":false
                  },
                  {
                     "checkerType":"NewerAtLowerLevel",
                     "ignorable":false
                  },
                  {
                     "checkerType":"LeadingAndTrailingSpaces",
                     "ignorable":false
                  },
                  {
                     "checkerType":"TargetSourceIdentical",
                     "ignorable":false
                  },
                  {
                     "checkerType":"SourceOrTargetRegexp"
                  },
                  {
                     "checkerType":"UnmodifiedFuzzyTranslationTM",
                     "ignorable":true
                  },
                  {
                     "checkerType":"UnmodifiedFuzzyTranslationMTNT",
                     "ignorable":true
                  },
                  {
                     "checkerType":"Moravia",
                     "ignorable":false,
                     "context": {"moraviaProfileId": "MoraviaProfileIdValue"}
                  },
                  {
                     "checkerType":"ExtraNumbers",
                     "ignorable":true
                  },
                  {
                     "checkerType":"UnresolvedConversation",
                     "ignorable":false
                  },
                  {
                     "checkerType":"NestedTags",
                     "ignorable":false
                  },
                  {
                     "checkerType":"FuzzyInconsistency",
                     "ignorable":true
                  }
               ]
          description: enabledChecks
          items:
            $ref: '#/components/schemas/EnabledCheckDtoV2'
        excludeLockedSegments:
          type: boolean
        forbiddenStrings:
          type: array
          items:
            type: string
        regexpRules:
          type: array
          items:
            $ref: '#/components/schemas/RegexpCheckRuleDtoV2'
        strictJobStatus:
          type: boolean
        userCanSetInstantQA:
          type: boolean
    EnabledCheckDtoV2:
      type: object
      properties:
        checkerType:
          type: string
        context:
          $ref: '#/components/schemas/EnabledCheckContextDtoV2'
    RegexpCheckRuleDtoV2:
      type: object
      properties:
        description:
          type: string
        id:
          type: string
        ignorable:
          type: boolean
        instant:
          type: boolean
        sourceRegexp:
          type: string
        targetRegexp:
          type: string
    EnabledCheckContextDtoV2:
      type: object
      properties:
        customQaDisplayName:
          type: string
        moraviaProfileId:
          type: string
        provider:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````